import * as core from '@workbench-stack/core';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class ConfigurationService extends core.AbstractConfigurationClientService implements core.IClientConfigurationService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    protected logger: any;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any, logger: any);
    extInitializeConfiguration(): Promise<void>;
    private asyncInitializedConfigurationContainer;
    reloadConfiguration(): Promise<void>;
}
